# NinjaPanel

## [v1.1.5-release](https://github.com/jnwhiteh/NinjaPanel/tree/v1.1.5-release) (2023-01-12)
[Full Changelog](https://github.com/jnwhiteh/NinjaPanel/commits/v1.1.5-release) [Previous Releases](https://github.com/jnwhiteh/NinjaPanel/releases)

- Update TOC for 10.0.2  
- Don't require OnLeave to pick up OnEnter  
- Properly respond to inventory updates and register the new events  
- Some bug fixes for CombatStats  
     - Re-compute the preferred stats when something major changes  
     - Select the preferred stats using the raw values, not percentages  
- Fix some small issues with combat stats  
- Add a CombatStats plugin  
- Don't do split packaging when only one version  
- Update curseforge project id  
- Fix config registration on retail  
- Prepare for packing  
- Add and configure Luacheck  
- Create README.md  
- Re-add config to enable/disable plugins  
- Update for 1.0x (ish)  
- Update TOC for 6.1.x  
- Update LibJostle  
- Update TOC for 4.3  
- Update .TOC  
- Update to LibJostle-3.0-v40000  
- Convert svn:ignore properties to .gitignore.  
- Updated LibJostle to be compatible with 3.3.5  
- Hide the tooltip when a plugin is clicked  
- Fix a bug when an icon is set to nil, or set to a texture from nil  
- Updating TOC for 3.3  
- Update LibJostle to fix the buff movement  
- Interface version update  
- Show which feeds are launchers in the configuration UI  
- Actually display disabled plugins in the configuration dialog  
- Show tooltips for plugins that don't define any  
- Setting eol-style, bumping .TOC and providing support for data feeds that dynamically change their type  
- Updated version of LibJostle-3.0  
- Added a nil bailout in UpdatePlugin (bad mikma)  
- * Fix for moving the panel to the bottom instead of the top.. kind of  
- Fixed detach bug when disabling a new plugin  
- Fixed an error caused by custom Data Objects  
- Fixed the bad SV bug  
- Fixed tooltip bug with bad type lookup for disabled plugins  
- Fixed a bug with scrolling offset on the config screen  
- Undoing bad development branch code to start with a clean slate  
- * Commiting some broken code that I plan to back out  
- * Ensure that the scroll bar works on longer addon lists  
- * Fixed the issues with scrolling on enable/disable window  
- * Added basic configuration panel that allows you disable/enable plugins.  Requires reload and may not work properly.  
    * Added support for AddonLoader delayed loading  
- * Make sure to call using NinjaPanel instead of self in the context of the panel  
- * Act properly with regards to tooltip metadata, refactored handling code a bit  
- Added a development mode to assist in getting multiple bars working correctly  
- * Don't error if jostle can't be loaded  
- * Add support for the tooltip attribute  
- * Add checks for self.db.plugins[name].disabled  
- * Initialize db.plugins and sb.panels  
- * Added cases for the On<X> handlers in UpdatePlugin, so we can set them whenever they are changed  
- * Set wowi:dirname property so addon is properly packaged  
- * Fix an issue when reporting an unknown data object type  
- * Setting eol-style to native  
- Initial import from git repository  
- Creating inital directory structure  
